.. _ase:

=======
Modules
=======

Quick links:

.. list-table::

  * - :mod:`ase (Atom) <ase.atom>`
    - :mod:`ase (Atoms) <ase.atoms>`
    - :mod:`~ase.build`
    - :mod:`~ase.calculators`
  * - :mod:`~ase.collections`
    - :mod:`~ase.constraints`
    - :mod:`~ase.db`
    - :mod:`~ase.dft`
  * - :mod:`~ase.data`
    - :mod:`~ase.formula`
    - :mod:`~ase.ga`
    - :mod:`~ase.geometry`
  * - :mod:`~ase.gui`
    - :mod:`~ase.io`
    - :mod:`~ase.lattice`
    - :mod:`~ase.md`
  * - :mod:`~ase.neb`
    - :mod:`~ase.neighborlist`
    - :mod:`~ase.optimize`
    - :mod:`~ase.parallel`
  * - :mod:`~ase.phasediagram`
    - :mod:`~ase.phonons`
    - :mod:`~ase.spacegroup`
    - :mod:`~ase.transport`
  * - :mod:`~ase.thermochemistry`
    - :mod:`~ase.units`
    - :mod:`~ase.utils`
    - :mod:`~ase.vibrations`
  * - :mod:`~ase.visualize`
    -
    -
    -

.. seealso::

   * :ref:`tutorials`
   * :ref:`cli`
   * :git:`Source code <>`
   * Presentation about ASE: :download:`ase-talk.pdf`


List of all modules:

.. toctree::
   :maxdepth: 2

   atoms
   units
   io/io
   build/build
   eos
   formula
   collections
   data
   optimize
   md
   constraints
   spacegroup/spacegroup
   neighborlist
   geometry
   db/db
   neb
   ga/ga
   gui/gui
   lattice
   cluster/cluster
   visualize/visualize
   calculators/calculators
   dft/dft
   vibrations/vibrations
   phonons
   phasediagram/phasediagram
   thermochemistry/thermochemistry
   utils
   parallel
   dimer
   atom
   transport/transport
   calculators/qmmm
